package com.adealink.weparty.share.poster.data

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData

data class PhotoData(
    val url: String
)

data class PhotoItemData(
    val data: PhotoData,
    var selected: Boolean = false
) : BaseListItemData {

    override fun areItemsTheSame(newItem: Any): Boolean {
        val other = newItem as? PhotoItemData ?: return false
        return data.url == other.data.url
                && selected == other.selected
    }

    override fun areContentsTheSame(newItem: Any): Boolean {
        val other = newItem as? PhotoItemData ?: return false
        return data.url == other.data.url
                && selected == other.selected
    }
}